Bug 1459926 - Zaqar websockets randomly disconnect
Zaqar websockets randomly disconnect
Status: ASSIGNED
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director-ui (Show other bugs)
11.0 (Ocata)
Unspecified Unspecified
high Severity high
: ---
: 12.0 (Pike)
Assigned To: Honza Pokorny
Arik Chernetsky
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 11:09 EDT by Udi
Modified: 2018-07-03 22:27 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-16 07:43:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Udi 2017-06-08 11:09:46 EDT
Description of problem:
While working with the GUI, every so often an alert pops up: "Zaqar Websocket encountered Error". The easiest way to recreate it is to log in and out many times (it most often occurs on logins - maybe because it's heavily used in that stage when all the data is loaded?). 

This error also occurs during operations that take long, like role assignment or nodes registration, and when that happens it can cause the GUI to never see that the operation already finished (the spinner on the screen keeps spinning until you hit F5).


Version-Release number of selected component (if applicable):
openstack-tripleo-ui-3.1.0-9.el7ost.noarch
openstack-zaqar-4.0.0-2.el7ost.noarch


How reproducible:
Randomly
Comment 3 Jason E. Rist 2017-10-12 12:27:41 EDT
Patches have all landed. Need another review of this bz.
Comment 4 Honza Pokorny 2017-10-16 07:43:59 EDT
Closing this as stale; I haven't seen this bug in months now, feel free to reopen if you encounter it again
Comment 5 Ian Main 2018-03-07 13:47:06 EST
We just saw this again in OSP 12 director UI.  This occurred while waiting for introspection to complete.

openstack-tripleo-ui-7.4.3-4.el7ost.noarch
python-zaqarclient-1.7.0-1.el7ost.noarch
openstack-zaqar-5.0.0-3.el7ost.noarch
puppet-zaqar-11.3.0-3.el7ost.noarch
Comment 6 Ian Main 2018-03-07 13:58:58 EST
Saw this again while tagging nodes.
Comment 9 Jason E. Rist 2018-03-09 12:20:40 EST
I wonder if this is something we need to rectify using quickstart?
Comment 10 Honza Pokorny 2018-03-09 13:14:35 EST
In general, I think the nature of the websockets is such that it will disconnect at some point.  When you close your laptop, when you switch wifi access points, when you connect an ethernet cable, etc.  It's not so random.  The network connection isn't eternal or indestructible.

I'll look into automatic reconnects, and notifying the user when the connection is broken.

Note You need to log in before you can comment on or make changes to this bug.